Page MenuHomeFreeBSD

tcp_hpts: make struct tcp_hpts_entry private to the module.
ClosedPublic

Authored by glebius on Nov 16 2021, 9:39 PM.

Details

Summary

Also, make some of the functions also private to the module. Remove
unused functions discovered after that.

Diff Detail

Repository
R10 FreeBSD src repository
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

rrs added a subscriber: rrs.

I am usually not a big fan of this type of actions. I like
structures to be in a header file instead of buried in the
.c file.. but if you really think its a good idea.. i guess its ok.. my
feelings are not that strong about it.

This revision is now accepted and ready to land.Nov 17 2021, 7:25 PM
This revision now requires review to proceed.Nov 19 2021, 4:39 AM
This revision was not accepted when it landed; it landed in state Needs Review.Dec 2 2021, 6:52 PM
This revision was automatically updated to reflect the committed changes.